Subject: Re: linux-next broken by "ARM: S3C2440: move mach-s3c2440/* into mach-s3c24xx/"

From: Mark Brown <[email-masked]>
Date: Fri, 9 Mar 2012 12:16:22 +0000

On Thu, Mar 08, 2012 at 02:58:44PM -0500, Paul Gortmaker wrote:

> The "it" was the commit in the subject, and the ID in the above text.
> That was the last commit to have touched this file (via moving it).

> What I took as a relation to fix/asoc was shown in the text you've
> gone and deleted here in the follow up.

You'd written some text but the text wasn't teribly clear - nothing
about the code looks at all audio bug fix related.  Are you sure the
error wasn't just in Linus' tree?

> In any case, it does appear the file was broken before it was moved.
> The offending commit is actually c1ba544f81544ed9613ad5d058968533dbcef4b2

> 	"ARM: S3C24XX: Fix restart on S3C2442"

> It appears that a closing brace was dropped when it was integrated.

Right, and that commit doesn't appear to be in the ASoC bugfix branch
which is why I was mystified.